马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。
您需要 登录 才可以下载或查看,没有账号?立即注册
×
Creating a linetype using ARX
Question
How can I create a linetype using ARX?
Answer
The sample code below creates a linetype using ARX:
-
- #include "dbmain.h"
- #include "dbsymtb.h"
- void utilsarxtest () {
- AcDbLinetypeTable *pLtypeTable =NULL ;
- // get the linetype table from the drawing
- if ( acdbHostApplicationServices()->workingDatabase()->getLinetypeTable (pLtypeTable, AcDb::kForWrite) ==
- Acad::eOk ) {
- AcDbLinetypeTableRecord *pLtypeTableRecord =new
- AcDbLinetypeTableRecord ;
- // set all of the properties of the linetype table record.
- pLtypeTableRecord->setAsciiDescription ("T E S T -") ;
- pLtypeTableRecord->setPatternLength (0.75) ;
- pLtypeTableRecord->setNumDashes (2) ;
- pLtypeTableRecord->setDashLengthAt (0, 0.5) ;
- pLtypeTableRecord->setDashLengthAt (1,-0.25) ;
- pLtypeTableRecord->setName ("ASTESTER") ;
- AcDbObjectId tmpId ;
- // add the pLtypeTableRecord to the linetype table
- if (pLtypeTable->add (tmpId, pLtypeTableRecord)==Acad::eOk){
- pLtypeTableRecord->close () ;
- } else {
- delete pLtypeTableRecord ;
- }
- // close everything up
- pLtypeTable->close () ;
- }
- }
|